Introducing Geomatica FreeView 9

What is Geomatica FreeView?

Geomatica FreeView 9 is a flexible data viewing tool supporting over 100 raster and vector formats for loading, viewing, selection, and enhancement. FreeView is useful for any geospatial data viewing application, and is freely distributable.

FreeView includes a modern interface with many useful display tools, including fast roam and zoom, image enhancements, numeric values display, and attribute table display.

Key features:

  • Fully georeferenced file-based viewer with an easy-to-use interface
  • Direct access to 100+ geospatial data formats
  • View any number of images, any depth (8-, 16- and 32-bit), any size, and any resolution
  • View any number of vector layers and their attribute tables

You can use FreeView to display data from any combination of formats, including Geomatica project files and PCIDSK files.

FreeView is distributed by PCI Geomatics as a royalty-free package to the Remote Sensing and GIS community as a public service. In light of the above, please note that:

  • Data cannot be edited or saved.
  • Data in the interface is marked as read only.
  • The viewer does not offer any capabilities for analytical work.
PCI Geomatics


Which platforms are supported?

Geomatica FreeView 9 is available on the following Windows platforms:

  • XP
  • 2000
  • NT
  • ME
  • 98


FreeView, GeoGateway, Fundamentals and Prime

Geomatica FreeView is PCI Geomatics' freeware viewer. Also in the Geomatica suite are Geomatica GeoGateway, an advanced data translation tool, and Geomatica Fundamentals and Prime, powerful environments for analysis, production, and research.

Geomatica GeoGateway

Geomatica GeoGateway 9 is an inexpensive data viewing and translation tool, supporting over 100 raster and vector formats. Its flexible viewing environment allows viewing, translating, reprojecting, clipping, subsetting, printing, and enhancement of a wide variety of data.

Geomatica Fundamentals and Prime

These full-function geomatics solutions provide an integrated suite of tools for analysis, production and research. Integrated and interoperable, Geomatica Fundamentals and Prime provide earth-observation-based tools for remote sensing, GIS, photogrammetry, and cartography.


Getting Started

Getting Started gives you a quick introduction to the basics of Geomatica FreeView. Upon completion you should be familiar with the interface as well as comfortable with some of the common menu commands.


Starting FreeView

To start FreeView on a Windows platform:
  1. Click the Start menu.
  2. Select PCI Geomatics V9.1 from the Programs list.
  3. Click Geomatica FreeView V9.1.

    4. After starting FreeView, the main panel appears.

  4. Alternatively, double-click on the Geomatica FreeView V9.1 shortcut icon on the desktop.


Viewing the Main Panel

The main panel in FreeView is divided into five areas:
  • The Menu bar at the top of the panel.
  • The Toolbars just below the Menu bar.
  • The Maps and Files Tree on the left side.
  • The Viewer on the right side.
  • The Status bar at the bottom of the panel.


Finding Help

Help from the Menu bar

To access general help, click General... on the Help menu. This command launches the FreeView HTML Help system with a table of contents on the left side. From here you can find and view any help topic associated with FreeView.

Help buttons on the dialog boxes

Help buttons are located in the lower right hand corner of those dialog boxes for which context-sensitive help is available. Clicking a Help button launches your browser and displays task oriented information relevant to the dialog box you are currently working in.


Loading Imagery

The data used in the following sections is provided by PCI Geomatics as a demo data set. It can be downloaded from our web site at the following URL or retrieved from the Geomatica FreeView CD-ROM:

http://www.pcigeomatics.com/product_ind/geomaticaindex.html


Loading a LANDSAT Image

To load an image:
  1. Click Open on the File menu.

    2. The File Selection dialog box appears.

  2. Locate the demo folder.
  3. Select the file named 1 7_ms.pix.
  4. The 17_ms.pix file is highlighted.
  5. Click Open in the File Selection dialog box.

    6. FreeView automatically loads the data using the first three image channels and the following events take place:

  6. The image appears in the viewer as shown below.
  7. The 17_ms.pix file appears in the Files tree.
  8. TM Bands 1, 2, and 3 representing the red, green, and blue (RGB) image channels are added to the Maps tree under New Area as shown below.


Adding a RADARSAT Image

To load a second image:
  1. Select New Area in the Maps tree.

    2. New Area is now highlighted.

  2. Click Launch the Add Layer Wizard on the Maps toolbar.
  3. The Add Layer Wizard appears.
  4. To add a Grayscale layer, select Grayscale in the Add Layer Wizard.
  5. Click Next to continue.

    6. The Add Layer Wizard reappears.

  6. Click Browse in the Add Layer Wizard.

    7. The File_Open_Add dialog box appears.

  7. Select radarsat.pix in the demodata folder.

    8. The file radarsat.pix is highlighted.

  8. Click Open.

    9. After you click open, the following events take place:

  9. The radarsat.pix file is added to the Files list in the Add Layer Wizard.
  10. The channel [16U ] Standard 2 Beam Mode is added to the Segments/Channels list in the Add Layer Wizard.
  11. Select the above channel in the Segments/Channels pane.

    12. The single [16U ] Standard 2 Beam Mode channel is now highlighted.

  12. To add this channel as a second layer, click Finish.
  13. Click Zoom to Overview from the toolbar.

    14. After you click finish, the following takes place:

  14. The RadarSat black and white (BW) image appears on top of the LandSat color image in the viewer.
  15. The radarsat.pix file appears in the Files tree.
  16. The Standard 2 Beam Mode band representing the grayscale layer now appears above the LandSat layer in the Maps tree.

The Maps tree lists all the data that is currently loaded in the viewer in the order in which they appear loaded in the viewer. The first image listed in the Maps tree appears as the top image in the viewer and so on.


Reversing the order of the Layers

To view the LANDSAT image on top of the RADARSAT layer:
  1. Select the 1 7_mis.pix RGB layer in the Maps tree.

    2. The 17_mis.pix RGB layer is highlighted.

  2. Drag the RGB layer above the Grayscale layer in the Maps tree.
  3. Drop the RGB layer on top of the Grayscale layer.

    4. The ordering in the viewer now changes with the RGB layer appearing on top of the Grayscale layer.

To place the Grayscale layer back on top, move the RGB layer back down the Maps tree or move the Grayscale layer up in the Maps tree.


Enhancing Images

The data used in the following sections is provided by PCI Geomatics as a demo data set. It can be from the Geomatica FreeView CD-ROM:


Enhancing the RGB Layer

To enhance a particular image when you have multiple images loaded:
  1. Ensure that both the LANDSAT color image from the 17_mis.pix file and the RADARSAT Grayscale image from the radarsat.pix file are loaded in the viewer.
  2. Place the cursor at a location inside the LANDSAT Image in the viewer.
  3. Click the Enhancements pull-down menu on the Raster toolbar.
  4. Select Root on the Enhancements menu.

    5. The RGB layer is now enhanced as shown below:


Enhancing the Grayscale Layer

To enhance the RADARSAT image:
  1. Ensure that the RADARSAT image is the top image in the viewer.
  2. Place the cursor inside the RADARSAT image in the viewer.
  3. Click the Enhancements pull-down menu on the Raster toolbar.
  4. Click Equalization on the Enhancements menu.
  5. The RADARSAT image is now enhanced.


Zooming Images

For the following zoom operations, ensure that both the LANDSAT color image from the 17_mis.pix file and the RADARSAT Grayscale image from the radarsat.pix file are loaded in the viewer.


Zooming the LandSat Image

To zoom in on a particular location when you have multiple images loaded:
  1. Place the cursor at a location inside the LANDSAT image in the viewer.
  2. Click Zoom In on the Zoom toolbar.

    3. This automatically zooms the image in by a factor of 2.

  3. To zoom out by a factor of 2, click Zoom Out on the Zoom toolbar.


Zooming to a 1:1 Image Resolution

To zoom to a 1:1 or full image resolution:
  1. Place the cursor at a location inside the LANDSAT image in the viewer.
  2. Click Zoom to 1:1 Image Resolution on the Zoom toolbar.

    3. The image is now visible at a 1:1 resolution.

For the RADARSAT layer, perform the following procedure:
  1. Ensure that the RADARSAT layer is the top level image.
  2. Place the cursor at a location inside the RADARSAT layer in the viewer.
  3. Click Zoom to 1:1 Image Resolution on the Zoom toolbar.

    4. The layer is now visible at a 1:1 resolution.


Panning the LANDSAT Image

To pan the image:
  1. Place the cursor at a location inside the LANDSAT image in the viewer.
  2. Click Zoom to 1:1 Image Resolution on the Zoom toolbar.

    3. The image is now visible at a 1:1 resolution.

  3. Click Pan on the Zoom toolbar.
  4. Click the cursor in the viewer.

    5. The cursor changes to a hand icon.

  5. Click and drag the hand icon slowly in the viewer to pan around the full extents of the LANDSAT image.

    6. You can easily scroll the entire scene and view other parts of the image even though it is larger than the viewer.

  6. To zoom back out to normal view, click Zoom To Overview on the Zoom toolbar.


Loading Vector Data

You can use two methods to load vector data into the viewer. If you have a file that is only a single vector layer such as:

  • An Arc/Info Shape file
  • An Autocad DXF file
  • A PCI .pix file with only vector data in it

You can use the File | Open option. However, if you have multiple layers in a file and you wish to choose a single or multiple layers to load, you can use the Add option on the layer menu..


Loading a Vector layer

To load a vector layer:
  1. Click File on the Menu bar.
  2. Click Open on the File menu.

    3. The File Selection dialog box appears.

  3. Locate the demo folder.
  4. Select the file named lakes.shp.

    5. The lakes.shp file is highlighted.

  5. Click Open in the File Selection dialog box.

    6. FreeView automatically loads the data and the following events take place:

  6. The vector layer appears in the viewer
  7. The lakes.shp file appears in the Files tree
  8. The vector layer is added to the Maps tree under New Area


Selecting a Vector

To select a vector:
  1. Click Selection Tools on the Editing toolbar.
  2. Select Individual from the drop-down menu.
  3. Click one of the lakes in the viewer.

    4. The polygon vector representing the lake is now selected and highlighted in green.


Using the Cursor Control

To view the coordinates of the current location of the cursor:
  1. Click the Cursor Control icon located on the Tools toolbar.

    2. The Cursor Control dialog box appears. The information shown relates to both the location on the map page as well as to the georeferenced ground location represented in the image.

  2. Place the crosshair pointer on the image in the viewer.

    3. The information appearing on the Cursor Control panel represents the exact earth coordinates for that location given the defined earth model and projection. In this way, it is easy to identify exact locations and calculate distances and object sizes.

In addition, this dialog box shows you, in a variety of units, the exact location of the cursor. If your data is properly georeferenced, the units include both the geocoded (UTM) and geographic (Long/Lat) coordinates. Another use for this dialog box is to allow the user to place the cursor where they wish.

To move the cursor back to the center of the current image, perform the following steps:
  1. Click in the geocoded E coordinate.
  2. Replace the existing coordinate with 440000.000 E.
  3. Click in the geocoded N coordinate.
  4. Replace the existing coordinate with 3729000.000 N.

    5. The cursor is repositioned in the center of the View area.

  5. To exit this dialog box, click Close.


Using the Zoom Window

The zoom window lets you see a linked copy of your image data in a separate viewer. You can zoom the images independently, using one image to locate features and the other to zoom them for a closer look. You open the Zoom Window from the View menu. When you click the Lock command, you can move the cursor in the viewer without changing the image in the Zoom window.


Using the Mouse and Pointer

The mouse is used to perform all of the functions within the FreeView environment. Typically, the left button is used to accomplish the following tasks:

  • Make selections
  • Define areas
  • Mark positions

The right button is used to view convenient pop-up or context menus. The pointer icon is the same pointer defined as your system default pointer, which is typically an arrow.


Scrolling an Image

FreeView makes use of standard slide bars to scroll inside the viewer horizontally and vertically. This feature is most often used when roaming around the overall image at a higher magnification.

A slide bar is also located at the bottom of the Maps and Files Tree, as well as on various dialog boxes when there is a need to show a great deal of information in a small area.

To move around an image using slide bars perform the following steps:
  1. Click, hold, and drag the slide bar.
  2. Click in the area adjacent to the slide bar to move the image at a faster rate.


Exiting FreeView

To exit FreeView, perform the following step:
  1. Click File on the Menu bar.
  2. Click Exit on the File menu.


File Menu

The File menu lists commands associated with creating, opening, printing, and closing projects.


Creating a Project or Map

To create a project or map:
  • Click New Project on the File menu.

    • A Window with the following message appears:

    Initializing New Project. Please Wait...


Opening a File

This procedure opens any existing file or project that uses a format supported by PCI Geomatics's Generic DataBase (GDB) technology.

To load a file into a project:
  1. Click Open on the File menu.

    2. The File Selection panel appears.

  2. Select the file you wish to include in your project.
  3. Click the Open button.

    4. The image appears in the viewer and the selected file is included in the Files tree.


Connecting to a Relational Database

The Choose Other dialog box makes a connection to a database or data server that is not file based. Focus provides connectivity for Oracle, ODBC, OGDI, and ArcSDE. You must complete the Connection, User Name and Password text fields and enter a text string to connect to your database in the Connection box.

When you connect, click the Choose command button to select a table in the database. You can also choose a subset of the fields in the database to restrict the data to fixed geographic extents.

To access a database:
  1. On the File menu, click Open.
  2. In the File Selection dialog box, click Choose Other.

    3. The Choose Other dialog box opens.

  3. In the drop-down list, select the appropriate driver.
  4. Enter your Connection, User Name, and Password.
  5. At the top of the Choose Other dialog box, click Choose.

    6. After the connection is made, you can choose a table from those available in the database. The table opens in the Table/View field.

  6. To close the Choose Other dialog box, click OK.

    7. Imagery from the database opens in the Focus view area and data from the table are added to the Maps and Files trees.

The Focus view area is controlled with the image display options found in he View Menu. You can switch between area view mode and map view mode, open a new viewer, use various zoom options, create and use named regions, customize the numbers of toolbars that appear below the menu bar, and view the properties of the currently selected map, area, or layer.


Printing

This procedure prints the project displayed in the viewer. You can use a local printer connected to your personal computer, your local area network, or you can set up your print output so that it is saved as a PostScript file.

To print:
  • Click Print Map on the File menu.

or

  • Click the Print icon on the toolbar.


Selecting Page Layout Options

When you print a map, the entire publication is printed by default. You can also print large maps on more than one page, and assemble the parts after they are printed.

To control the page layout for multi-page printout:
  1. In the lower right of the Print Setup dialog box, click Options.

    2. The Options dialog box opens.

  2. If your publication requires multiple overlapping printouts, in the Overlap drop-down menu, choose Yes.

    3. The overlap margin for each page is 6.25 mm (1/4 inch).

  3. In the Scaling box, the Actual Size option automatically prints the number of pages required for the entire publication.

    4. Fit to Page: Scales the map to fit on a single sheet of paper.

    Print Screen: Prints only what is currently showing in the Focus view area.

  4. The Print Quality drop-down menu provides three levels of print quality (Low, Medium, High), which will set the printer's image quality.
  5. You have two Wysiwyg options as well.

    6. As Screen: Prints the map according to the Wysiwyg options you chose in the Display Options, on the View menu.

    Full Wysiwyg: Prints the map with full representation of lines, patterns, and text. This is the usual choice for map printing.

  6. When you have finished setting the print options, click OK to accept the new options.


File List

Between the Print Map and Exit is an area for the File list. This area contains a list of the five previously opened files.


Exiting FreeView

To exit FreeView:
  • Click Exit on the File menu.


File Selection Panel

The File Selection panel is used to select files for a variety of purposes, including loading data to view and running a process. It typically can be used to select any supported file type, including PCIDSK, TIFF, Raw Imagery, Erdas Imagine , ARC/INFO Shape files, and AutoCAD DXF vectors. The list of available types can be found by selecting the down arrow on the 'Files of type' field.


View Menu

The View menu lists options associated with the display of information.

  • You can chose to view maps and images in area view or map view mode. as well as open a new view window.
  • The Zoom To menu command expands into a sub-menu with various zoom options.
  • The Properties option launches a Properties dialog box that corresponds to the active layer in the viewer.


Area View Mode

Area View Mode displays maps and imagery in normal view mode.

To select Area View:
  • Click Area View Mode on the View menu.


Map View Mode

In map view mode, you can adjust the size and position of the image relative to the canvas.

To select Map View:
  • Click MapView Mode on the View menu.


Zoom Window

Open the Zoom Window from the View menu. The zoom window lets you see a linked copy of your image data in a separate viewer. You can zoom the images independently, using one image to locate features and the other to zoom them for a closer look. When you click the Lock command, you can move the cursor in the viewer without changing the image in the Zoom Window.


Zoom Functions

The zoom menu item allows the user to change the image display magnification via the following sub-menu options:

  • Zoom to Overview of Area: The overview of area option increases viewer magnification to display a selected map in the window.
  • Zoom In: The zoom in option increases the magnification of the entire image incrementally.
  • Zoom Out: The zoom out option allows you to decrease the magnification of the entire image.
  • 1:1 Image Resolution: This option sets the viewer to display imagery at a 1:1 resolution.
  • Zoom Scale: Zoom Scale provides a range of magnification between 2,500 to 250,000.


Properties

The View menu affords quick access to the properties of the current map, area, or layer selected in the Maps tree.


Properties from the Maps Tree

You can view the properties of the following selections in the Maps tree:
  • Map Properties
  • Area Properties
  • RGB Layer Properties
  • Vector Layer Properties
  • Greyscale Layer Properties
  • Bitmap Layer Properties
  • Pseudo-color Layer Properties
To display the properties:
  1. Click to select the appropriate map, area, or layer in the Maps tree.

    2. The selection is highlighted in yellow.

  2. Click View on the Menu bar.
  3. Click Properties from the View menu.

    4. The corresponding Properties dialog box opens.

OR

  • Right-click the layer and click Properties.


Understanding the Property Options

The properties available to each layer depend on the type of layer.

  • Description: To change the file name, description, or path of the layer, highlight the text in the Description box and type a new description.
  • Read Only: Determines the read/write permission for the layer. Select Read Only to remove the ability to edit the layer.
  • Visible: Select Visible to display the layer in the viewer.
  • Selectable: Select Selectable to be able to select vectors in the layer.
  • Priority: Priority determines if a layer is placed in front of or behind another layer. Layers in front may hide portions of the layers behind. In the Priority box, select or type the priority of the layer. Layers with a higher priority number are in front of those with lower numbers.
  • Resample Method: Determines the method used to resample pixel values when the grayscale or RGB layer is stretched or shrunk within the viewer. In the Resample Method list, select one of the methods.
  • Transparency: Determines the transparency of the pixel values in a grayscale or RGB layer. Select Transparency and type the values that you want.
  • Opacity: Determines the transparency of the entire layer. Select Opacity and select or type the percentage of transparency that you want.
  • View No Data: Select View `No Data Value' to show the null values. In the color box, click the arrow and select a color to display the null values.


Properties from the Files Tree

Alternatively, you can view the properties of the following selections in the Files tree:

  • File Properties
  • Image Properties
  • Vector Properties
  • Bitmap Properties
  • Look-up Table Properties
  • Pseudo-color Table Properties
  • GCP Properties
  • Segment Properties
  • Signature Properties
To display the properties:
  1. Click to select the appropriate file, channel, layer, table, segment, or signature in the Files tree.

    2. The selection is highlighted in yellow.

  2. Click View on the Menu bar.
  3. Click Properties from the View menu.

    4. The corresponding Properties dialog box opens.

OR

  • Right-click the layer and click Properties.


Layer Menu

The Layer pull-down menu has five options you can use to work with your layers:
  • Add Layer opens the Add Layer Wizard so you can add a new Vector, RGB, Greyscale, Pseudo-colored, or Bitmap layer to the current project.
  • Visible shows or hides the active layer.
  • Attribute Manager displays vector layer statistics for viewing and editing.
  • Histograms displays three histograms, where each histogram represents one band of the RGB file.
  • Numeric Values provides a spreadsheet-like display of RGB values for raster images.
  • RGB Mapper opens the RGB Mapping dialog box where you can change the color channels associated with an RGB image layer.


Adding a Layer

The Add Layer command launches the Add Layer Wizard. The wizard guides you through the process of adding one or more of the following layers:

  • Vector
  • RGB
  • Grayscale
  • Pseudo-colored
  • Bitmap


Launching the Add Layer Wizard

To open the Add Layer Wizard:
  1. Click Add on the Layer menu.

    2. The Add Layer Wizard appears.

    Alternatively, you can open the Add Layer Wizard by either:

  2. Clicking Launch the Add Layer Wizard on the Maps toolbar.
  3. Right-clicking New Area and selecting Add from the Context menu.


Using the Add Layer Wizard

To add a layer:
  1. Select a type of layer in the Add Layer Wizard.
  2. Click Next to continue.

    3. The file appears in the Files list in the Add Layer Wizard.

  3. If your layer appears in the Segments/Channels list, click to select the layer, and click Finish.

    4. The layer appears in the viewer, and is shown in the Maps tree under New Area.

  4. If your layer does not appear in the Segments/Channels list, click Browse. Click to select the file, and click Open.

    5. The file appears in the Files list in the Add Layer Wizard.

  5. Select a layer from the Segments/Channels list.
  6. Click Finish.


Showing and Hiding a Layer

The Visible command either shows or hides the active layer in the viewer. By default, the active layer is visible and the Visible command is checked on the Layer menu.


Active Layer

To hide the active layer using the Visible command:
  1. Select a layer in the Maps tree.

    2. The layer is active when it is highlighted in yellow. The Visible command on the Layer menu is now active as well.

  2. Click Layer on the Menu bar.
  3. Click to clear Visible on the Layer menu.

    4. The check mark disappears. The layer is now hidden from view.

To show the same layer using the Visible command:
  1. Click Layer on the Menu bar.
  2. Click to check Visible on the Layer menu.

    3. The Visible command is checked. The layer is now visible in the viewer.

After a layer is loaded in the viewer a black check mark appears in the box beside the layer in the Maps tree. You can quickly show or hide any layer in the Maps tree, whether or not it is the active layer.

To hide a layer:
  • Click to remove the check mark from the box.

    • The layer is now hidden from view.

To show the same layer:
  • Click to add a check mark to the same box.

    • The layer is visible in the viewer.


Priority of the Layer

The priority of the layer in the Maps tree is important. For example, if you have a raster layer on top of a vector layer in the viewer, the show and hide feature works with the top layer as before.

However, show and hide will not make the vector layer appear and reappear in the viewer since it resides below the raster layer. To make the vector layer visible and invisible, you need to move it up in the Maps tree so it has a higher priority than the raster layer. The vector layer will then sit on top of the raster layer.


Working with Vector Attributes

The Attribute Manager displays vector layer statistics. Use the dialog box to view and edit vector layer point data for vector files. The file names appear in the Maps and Files tree in the main panel.


Opening the Attribute Manager

To open the Attribute Manager:
  1. Ensure that you have a vector layer loaded.
  2. Click the Maps tab.
  3. In the Maps tree, click the vector file.

    4. The file is highlighted in yellow.

  4. Click Layer on the Menu bar.
  5. Click Attribute Manager on the Layer menu.

    6. The Attribute Manager opens and shows the statistics of the vector file you selected.


Performing Basic Tasks with the Attribute Manager

Vector layer point data is viewed and edited in the Attribute Manager. The Attribute Manager contains the following features:

  • Menu bar
  • Tool bar
  • Column headings
  • Row button
  • Spreadsheet window
  • Summation window
  • Status bar drop-down menu
  • Status bar
Select:

To select a data cell in the spreadsheet, point and click inside the cell with your mouse. A black outline appears around the selected cell. In addition, this action also selects the corresponding feature on the map. The feature on the map is highlighted in green in the viewer.

Edit:

To edit a data cell, select the cell. The background of the cell changes to grey and a cursor appears indicating that the selected cell can be edited. Not all spreadsheet cells can be edited.

Select a column:

To select an entire column, click the column heading above actual column.

Select a row:

To select an entire row, click the row button to the left of the row. A summary table opens showing the Count, Min, Max, Mean, Standard Deviation, and Total for the record you have selected. To cancel a selected row, click the row button again.

Read-only layers and non-editable columns:

The column header will turn red if the current cell is in a non-editable column of an otherwise editable layer. If the whole layer is read-only then the column header is yellow as normal. When selected, the border of a non-editable cell is black instead of gray in the case of an editable field.

Using the Attribute Manager:

The following section deals with selecting vectors, searching for segments, and sorting records.


Selecting Vectors

To select a particular vector:
  1. Click the Selection Tools arrow on the Editing toolbar.
  2. Select Individual from the pull-down menu.
  3. Click one of the features in the vector layer in the viewer.

    4. The feature is now highlighted in the viewer in green. In addition, this same vector is highlighted in the Attribute Manager. From the Attribute Manager, you can find the Shape Id #, Attribute value, Group #, and other information related to that particular vector.

  4. Click a row in the Attribute Manager.

    5. The resultant vector is highlighted in the viewer.


Searching with Find

The Find command searches the entire open spreadsheet for the first occurrence of the text you requested. If columns have been previously selected, then the search is restricted to the selected cells in that column. The search starts from the selected item or from the beginning of the spreadsheet if there is no selected item.

To find a particular vector segment:
  1. Click Edit on the Attribute Manager's menu bar.
  2. Select Find on the Edit menu.

    3. The Find dialog box appears.

  3. Enter your search request in the Find What text field.
  4. Click Find Next.

    5. The spreadsheet moves to the correct row and the cell is highlighted in the Attribute Manager. For example, if you requested Shape Id 35, cell number 35 is encircled in black. In addition, the cell to the left and the Shape Id column heading are highlighted in yellow and serve as indicators.


Performing a Query by Example

If you want to perform a more elaborate query, you can create an expression that will select all the corresponding records. An expression can be a statement where two attributes are connected by a relational operator to produce a result, or it can be two or more statements joined by an AND or OR operator.

For example, if you have an attribute called Length that describes the length of rivers on the layer, you can query "Length > 10". The result is all the records that contain a value greater than 10 in the Length field are selected in the Attribute Manager.

To open the Query by Example dialog box:
  • In the menu bar of the Attribute Manager, click Record. Click Query by, and then click Example.

OR

  • Click a layer in the Maps tree and click QBE on FreeView's toolbar.
To perform a query:
  1. In the Equation list on the Query by Example dialog box, select New.
  2. In the Attributes list, select the attribute that you want to use in the query.
  3. Select a relational operator from the list.
  4. Click:

    5. Attribute Values: to use the field values in the query, and then select a value in the list.

    Attributes: to use another attribute in the query, and then select the attribute in the list.

  5. If you intend to join statements, click:

    6. AND: to select records if they are true for both statements connected by AND.

    OR: to select the records if they are true for at least one of the statements connected by OR.

  6. Click Add.
  7. You can add as many statements as you want by repeating step 6 to step 10.
  8. Click Save or Save As to save the expression with the layer.
  9. Click OK.

    10. All the records that correspond to the query are selected in the Attribute Manager.


Performing a Query to Match Current Cell

To select all the records that match the value in the current cell:
  1. In the Attribute Manager, select the value that you want to match.
  2. Click Record in the Menu bar.
  3. Click Query by, and then click Current.

    4. All the records that contain the same value as the current cell are selected. The statistics of the selected records are displayed at the base of the Attribute Manager.


Performing a Query by Excluding Current Cell

To select all the records that do not match the value in the selected field:
  1. In the Attribute Manager, select the value that you want to exclude from the search.
  2. Click Record in the Menu bar.
  3. Click Query by, and then click Excluding Current.

    4. All the records that do not contain the same value as the current cell are selected. The statistics of the selected records are displayed at the base of the Attribute Manager.


Sorting Records

To sort the records in ascending order by attribute value:
  1. To select a column of values in the Attribute Manager, click one of the attribute column heading names.

    2. The values in the attribute column are highlighted in grey.

  2. Click Record on the Menu bar.
  3. Select Sort Order from the Record menu.
  4. Click Ascending in the Sort Order submenu.

    5. The attribute fields in the table are now sorted in ascending order by attribute value.

To sort the records in descending order by attribute value:
  1. To select a column of values in the Attribute Manager, click one of the attribute column heading names.

    2. The values in the attribute column are highlighted in grey.

  2. Click Record on the Menu bar.
  3. Select Sort Order from the Record menu.
  4. Click Descending in the Sort Order submenu.

    5. The attribute fields in the table are now sorted in descending order by attribute value.

To sort the records in ascending order by Shape Id:
  1. To select the numbers in the column in the Attribute Manager, click the Shape Id column heading.

    2. The Shape Id column is highlighted in grey.

  2. Click Record on the Menu bar.
  3. Select Sort Order from the Record menu.
  4. Click Ascending in the Sort Order submenu.

    5. The Shape Ids in the table are now sorted in ascending order by Shape Id number starting from 0.

To sort the records in descending order by Shape Id:
  1. To select the numbers in the column in the Attribute Manager's menu bar, click the Shape Id column heading.

    2. The Shape Id column is highlighted in grey.

  2. Click Record on the Menu bar.
  3. Select Sort Order from the Record menu.
  4. Click Descending in the Sort Order submenu.

    5. The Shape Ids in the table are now sorted in descending order by Shape Id number.


Histograms

The Histogram tools can be used for quick visualization of digital number values, and more in-depth analysis such as digital number mean, median and standard deviation values, the exact pixel count of a digital number value, and the range of digital number values in an image band. Histograms are useful information tools. They allow you to visualize the relationship of digital number values within an image band and to extract statistical information about image bands.

Two levels of histogram display are available in Geomatica FreeView. The Multi Histogram Display is used to visualize a histogram of each image band in an RGB file. The Histogram with Statistics display is used to show a more detailed histograms and statistics in text format for a given image band.


Opening the Multi Histogram Display

To open the Multi Histogram Display dialog box:
  1. In the Maps tree, select an RGB layer.
  2. On the menu bar, open the Layer menu and choose Histograms from the menu list. You can also right-click an RGB layer in the Maps tree and choose Histograms from the shortcut menu.

    3. The Multi Histogram Display opens.


Using the Multi Histogram Display

The Multi Histogram display shows three histograms, where each histogram represents one band of the RGB file. The three histograms are labelled with the file name and the image band number represented in that histogram. The histograms will appear in the same order as the RGB image is displayed. The red (top) histogram represents the image band that is currently displayed as red in the viewer, while the blue (bottom) histogram represents the channel that is currently displayed as blue in the viewer.

Horizontal Axis: The horizontal axis of each histogram represents the numeric gray values ranging from 0 to 255. The tick marks along the axis identify the locations of the gray values 64, 128, and 192.

Vertical Axis: The vertical axis represents the percentage of the pixels in the sample area that have the indicated gray level value. By default, the maximum percentage is 5%. This means that a gray level whose spike in the histogram rises to half the height of the graph accounts for 2.5% of all the pixels in the image channel.The vertical axis controls the amount of histogram that is shown in the view. By default, 100% of the histogram will be shown.

Maximum Percent Shown: Click and hold the scroll bar under Maximum Percent Shown. To get close to the desired percentage, scroll to the left or right as appropriate. You can also type in the desired percentage in the text field and press ENTER.

You can view a histogram with statistics by clicking on the histogram in the Multi Histogram Display and opening the Histogram with Statistics panel.


Viewing the Histogram Statistics

The Histogram with Statistics dialog box provides information for layers in the Maps tree or TM bands in the Files tree. The Histogram with Statistics command shows the histogram plot, and a corresponding set of statistics for a single channel. The Histogram With Statistics panel provides a more detailed visualization of the image band histogram along with the accompanying statistics.

To view the statistics from the Multi Histogram Display:
  • Click on the Histogram you want statistics for.

If you want to compare the digital number values in multiple image bands, you can open more Histogram With Statistics panels for other image bands by clicking the other histograms in the Multi Histogram Display.

To view Histogram with Statistics from the Files Tree:
  1. Click the Files tab.
  2. Right-click the Image channel.
  3. In the shortcut menu, click Histogram Stats.

    4. The Histogram with Statistics dialog box opens.


Using Histogram with Statistics

The values under Statistics are calculated for the Number of Pixels in the image, the Mean digital number Value, the Median digital number Value, the digital number Standard Deviation, the Minimum Value, and the Maximum Value and the Minimum and Maximum digital number value.

The Histogram With Statistics panel also offers control options for the histogram display. The entire image band histogram is displayed by default. You can adjust the display using the Gray Level Values and Count text boxes.

Gray Level Values

Under Gray Level Values, the Min and Max boxes display the current range for the X-axis of the plot. By default, the entire range of digital number values in the image channel will be viewed. Entering a new value in either of the minimum or maximum text fields automatically alters the range of the graph. This provides the opportunity to compare pixel counts for digital number values which are close.

To change the range for the gray level values on the X-axis:
  1. In the Min box under Gray Level Values, type a new value.
  2. In the Max box under the Gray Level Values, type a new value.
  3. Click the histogram.

    4. The range changes to reflect the new minimum and maximum values.

To return the plot to the original range:
  • Click Show All.

Count

Under Count, the Min and Max boxes display the current range for the Y-axis of the plot. Entering a new value in either the minimum or maximum text fields automatically alters the range of the graph. you can use Count for further visual interpretation of the histogram. For example, when you have digital number values with very high pixel counts, it can be difficult or impossible to see the digital number values with very low pixel counts. Lowering the Max count level allows you to see the pixel counts for digital number values containing fewer pixels.

To change the range for the pixel count on the Y-axis:
  1. In the Min box under the Count, type a new value.
  2. In the Max box under the Count, type a new value.
  3. Click the histogram.

    4. The range changes to show the new minimum and maximum values.

To return the plot to the original range:
  • Click Show All.
To view the count for specific value:
  • Click inside the histogram at or near a gray level value.

    • The line beside Statistics at the top of the Statistics panel shows the pixel count at the gray level value.

Options

The features under Options control the background color and aspect ratio of the graph.

To apply a fixed aspect ratio:
  • Click in the check box beside the Fixed Aspect Ratio.
To change the background color:
  • In the Background box, click the arrow and select a color.

Export

You can also copy the histogram plot to a file. You can export histogram plots for PCIDSK, TIFF, BMP, and Postscript files.

To copy the plot to a file:
  1. Click Export.

    2. The Export Histogram dialog box opens.

  2. From the File Format list, select a file format.
  3. Click File.
  4. Select the file you want. Navigate to the directory where the file is to be saved and enter a name for the file in the File Name box and click Save.
  5. Click Export.

    6. The histogram is copied to the designated file


Displaying Numeric Values

The Numeric Values dialog box uses a separate spreadsheet-like display to show red, green, and blue values that correspond to the current cursor position. Values can be displayed for either raw or enhanced image data.

You must have a layer loaded in the viewer to access the Numeric Values dialog box.

To open the Numeric Values dialog box:
  1. Click to select a layer in the Maps tree.

    2. The layer is active when it is highlighted in yellow.

  2. Click Layer on the Menu bar.
  3. Select Numeric Values from the Layer menu.

    4. The Numeric Values dialog box opens showing the RGB values for the current position of the cursor.

The Numeric Values window is resizable. Expanding the dialog box allows you to see more values.

You have the following display options:

  • Raw data
  • Enhanced data


Working with Numeric Values

To display the RGB values for the raw data:
  • Select the Raw Data option at the top of the dialog box.
To display the RGB values for the enhanced data:
  • Select the Enhanced Data option.

Each spreadsheet displays one color-highlighted cell containing the RGB value of the single pixel-line coordinate under the cursor. The other cells contain the RGB values of the surrounding pixel-line coordinates. Cell RGB values change according to the position of the cursor over the image.

To change a color channel value in each cell individually, perform the following steps:
  1. Highlight the value in the cell.
  2. Enter a new value from 0 to 255 for the red, green, or blue channel.

Furthermore, the raw values are manually altered simply by editing the value shown on the display. You cannot alter the enhanced values.

To export the values to a text file:
  • Click Export at the bottom of the dialog box.

    • A snapshot of the current values is copied to the text file.

To close Numeric Values:
  • Click Close at the bottom of the dialog box.

Numeric Values consists of the following items:

  1. Data Display Options
  2. Line Numbers
  3. Pixel Numbers
  4. Red Channel Value
  5. Green Channel Value
  6. Blue Channel Value


Mapping Images

You can map any layer of an active project as a red, green, or blue color channel using the RGB Image Mapper. Colors can be changed alone or in combination with others. To access the RGB Mapping dialog box, you need an RGB image loaded in the viewer and listed in the Maps tree.


Using RGB Mapping

To change the mapping of an RGB image layer:
  1. Click to select an image layer in the Maps tree.

    2. The file name is highlighted in yellow.

  2. Click Layer on the Menu bar.
  3. Click RGB Mapper on the Layer menu.

    4. The RGB Mapping dialog box opens, displaying a list of all the available image channels for the selected layer.

  4. Click the Red, Green, or Blue box to the left of the Image Channel you wish to alter.

    5. The image in the viewer changes, to reflect the new mapping and changes to the color channels.

  5. Click Close to exit the RGB Mapping dialog box.


Tools Menu

The Options dialog box is used to customize the working environment.


Open the Options Dialog Box

To access the Options dialog box:
  1. Click Tools on the Menu bar.
  2. Select Options from the Tools menu.

    3. The Options dialog box opens.


General Interface

Reload previous project on startup: Select to automatically open the last project that you worked on every time you open Geomatica FreeView.

Show: Click to select the features that you want to show. Click to clear the options that you want to hide.

Cursor: Determines the color, size and shape of your cursor.

  • In the Shape list, click the shape that you want to use.
  • In the Size list, type or select the size of the cursor.
  • In the Color list, click the arrow to display the palette and select a color.


Layers

Layers options specify various preferences for opening and displaying layers.

When loading: Determines the zoom level when you add a layer. In the When loading list, click Zoom to Overview to display an overview of the map each time a new layer is opened, click Zoom to Full Extents of Layer to display the full extents of the newly opened layer, or click Don't Change the Zoom to maintain the current zoom level when a new layer is opened.

To open rasters at a 1:1 resolution by default, click to select Load Rasters at 1:1 resolution.


Rasters

Default resampling method: Specifies how the raster is resampled for viewing when at greater than 1:1 resolution. In the Default resampling method list, select Nearest Neighbor, Bilinear Interpolation, or Cubic Convolution.

Default visual enhancement: Specifies the default visual enhancement applied to a newly opened raster. In the Default visual enhancement list, select:

  • None
  • Linear
  • Root
  • Adaptive
  • Equalization
  • Infrequency

Default Overview: Specify the preferred Overview generation method. In the Overview generation method list, select Nearest Neighbor, Block Average or Block Mode.


Overview Window

The Overview Window option controls the display properties of the overview window.

Raster: Click to show rasters in the Overview window. Click to clear if you do not want rasters displayed.

Vector Layer: Click to show vectors in the Overview window. Click to clear if you do not want vectors displayed.

View Box Color: Controls the color of the View Box in the overview window. In the View box color list, click the arrow to display the palette and select a color.


Zoom Window

The Zoom Window options control the appearance and functionality available in the Zoom Window.

Default Size: The Default X-size and Default Y-size control the width and height of the Zoom Window. To change the size, type the size that you want. Select Keep equal if you want the Zoom Window to be square.

Show Icon toolbar: Click to show the Icon Toolbar in the Zoom Window. Click to clear if you do not want the Icon Toolbar.

The Icon Toolbar contains Lock Window Position, Zoom, and Pan tools. Lock Window Position freezes the image in the Zoom Window while leaving the viewer unconstrained.

Show status bar: Click to show the Status bar in the Zoom Window. Click to clear if you do not want the Status bar.


Help Menu

The Help menu contains information on the following items:
  • General help.
  • FreeView's copyright details.
  • PCI Geomatics on the web.


General...

From here you can find and view all the help topics associated with FreeView.


Check For Updates

Checks the PCI Geomatics's freeware & Updates Web site for any patches missing from your installation. If a patch is available, it will open the Web site where you can download the patch.


PCI Geomatics on the Web

PCI Geomatics on the Web contains the following options:

  • Free Stuff.
  • Product Information.
  • Online Support.
  • Best of the Web.
  • PCI Partners.
  • PCI Geomatics Home Page.


About Geomatica FreeView

About Geomatica FreeView launches the About PCI Geomatica FreeView panel. This panel displays FreeView's copyright details.


Toolbars

The toolbar area is situated below the menu bar.


Project toolbar

The project toolbar provides the following frequently used options:
Tool Tip | Action
New Project | Creates a new project file.
Open File | Opens a file.
Print | Prints the contents in the viewer.


Window toolbar

The window toolbar provides the following options:
Tool Tip | Action
Toggle Treelist | Shows or hides the Maps and Files tree.


Maps toolbar

The maps toolbar provides the following functionality:
Tool Tip | Action
New Map | Creates a new map.
New Area | Creates a new area in the viewer.
Launch the Add Layer Wizard | Opens the Add Layer Wizard.


Zoom toolbar

The zoom toolbar provides the following functionality:
Tool Tip | Action
Zoom To Overview | Returns the magnification to the default.
Zoom Interactive | Drags a rectangle over the area to magnify.
Zoom In | Increases the zoom magnification.
Zoom Out | Decreases the zoom magnification.
Zoom to 1:1 | Zooms to a 1:1 image resolution.
Pan | Drags the image within the viewer.


Editing toolbar

The editing toolbar provides the following functionality:
Tool Tip | Action
Selection Tools | Provides three vector selection tools.
Spatial Query | Opens the Query by Example dialog box. For more information, see Performing a Query by Example.


Tools toolbar

The tools toolbar provides the following functionality:
Tool Tip | Action
Open the Attribute Manager | Opens the Attribute Manager for viewing and editing vector attributes. For more information, see Working with Vector Attributes.
Cursor Control | Opens the Cursor Control dialog box. For more information, see Using the Cursor Control.
Numeric Values | Opens the Numeric Values dialog box. For more information, see Displaying Numeric Values.


Raster toolbar

The raster toolbar provides the following functionality:
Tool Tip | Action
Enhancements | Makes the map on the screen clearer and easier to interpret without changing the values in the file. The default is None.
Contrasts | Controls the difference between the light and dark extremes. The default is increase.
Brightness | Controls the overall luminosity (amount of light). The default is increase.


ViewMode toolbar

The viewmode toolbar provides the following functionality:
Tool Tip | Action
Map View | Switches the viewer to Map View Mode. Map View provides an overview of all the areas on your paper map.
Area View | Switches the viewer to Area View Mode. Area View provides an overview of the selected Area.


Maps and Files Tree

The left side of the Geomatica FreeView interface is composed of a tree structure with two lists as follows:
  • Maps tree: Displays the data that is currently being viewed in the viewer.
  • Files tree: Contains the complete structure of the files in your current project.

You can switch between the two trees by clicking the Maps or Files tab.


Understanding the Maps Tree

A project can contain several files. The Maps tab displays the data from the project that is open in the viewer. That may include multiple layers, areas, and/or maps.

In Area View mode, only a single area can be displayed in the viewer. In Map View mode, one may be looking at multiple areas of a single map.

The user can control the priority of each layer in the viewer simply by dragging and dropping the layer in the Maps tree. The layer at the top of the tree has the highest priority and appears on top of all the other layers.

Sometimes when a project is loaded it is difficult to read the entire name of a layer. To resize the tree area drag the horizontal split bar between the Maps tree and Viewer to see the complete filename.

Maps tree items can contain of one or more sub-files. A plus sign at the beginning of a file tree item indicates it contains one or more sub-files. To view sub-files click on the plus sign. The Maps tree expands to show the sub-files.

For each layer that is loaded, there are certain functions that may be run on those layers. Some of these functions are accessible through the pull-down menus at the top of the interface, some are available by using the toolbar icons, and still others are accessible by right-clicking on the layer in the file tree.

While the functions that are accessed from the toolbars and menus may affect all of the data in the current view, the functionality found in these context sensitive menus are going to affect only the layer they were selected from.


Looking at Layer Types

The table below shows some of the layers in the Maps tree

Maps Tree Icons
RGB Layer

Greyscale Layer

Pseudo Color Table

Look-up Table

Vector Layer

GCP Layer

Map/View Name

Bitmap Layer

:


Map/View Options

Right-click Map and click:

  • New Area: to add another area to your map.
  • Remove: to delete the map completely.
  • Properties: to show the properties of the selected map, which includes the description, and page setup.


Setting Map Properties

The following section explains how to set up your map. In the corresponding Map Properties dialog box, you set general properties and setup the page.

To set up General Properties:
  1. Right-click Map.
  2. Click Properties.
  3. Select the General tab.
  4. In the Description box, type a name or description.
  5. Click OK.


New Area Options

Right-click New Area and click:

  • Add: to open the Add Layer Wizard for adding layers to the selected area.
  • Remove: to delete the new area.
  • Overview of Area: to zoom to an overview of the entire area.
  • Properties: to control the properties of the area, such as scale and layout.


Setting General Area Properties

The scale that is set in the Area Properties dialog box is different than the scale shown under the Display within Zoom Scale tab in the Vector Properties, or RGB Layer Properties dialog box. The Area Properties scale is the printed scale based on paper size. The Display within Zoom Scale is the current display scale of the computer screen, which depends on the size of your monitor. This is the reason why these two scales do not usually match.

To set up General Properties:
  1. Right-click the New Area and click Properties.
  2. Click the General tab.
  3. In the Description box, type a new name or description.
  4. If desired, click to check the Show Outline box.
  5. In the Scale list, select a scale. If you want a customized scale, click Custom and type in a new ratio in the 1: box.
  6. Press ENTER.
  7. Click OK.


Setting the Layout Properties

The Layout tab lets you change the Area representation, position and size. You can also view position and size changes in a preview window.

Representation: Lets you change the Area scale factor and the Area priority.

Scale Factor: Changes the Area scale factor (see Scaling an Area).

Priority: Changes the Area priority relative to other Areas in your project or file (see Viewing Image Components).

Position: Allows you to move your Area relative to the Map and to select a unit of measure for your Area.

Left: Allows you to change the Area position left or right.

Bottom: Allows you to change the Area position up or down.

Size: Allows you to control the Width and Height of your Area.

Width: Changes the Width of the Area

Height: Changes the Height of the Area

Automatic resize: Provides the option to resize your Area automatically. This is a bit unclear to me. How does the Automatic Resize work?

Preview: The preview window allows you to see the position and width and height changes for your Area relative to your map.


RGB, Grayscale, and Pseudo-color Layers Options

Right-click a layer and click:

  • Remove: to remove the layer from the viewer.
  • Overview of Layer: to zoom to an overview of the entire layer.
  • 1:1 Image Resolution: to zoom the selected layer in the viewer to a 1:1 resolution.
  • Edit PCT: (for Pseudo-color layers only) to modify a pseudo-color table (PCT). For more information, see Using Pseudo-color Tables (PCT).
  • Attribute Manager: to open the Attribute Manager, which displays existing attributes in the layer. For more information, see Working with Vector Attributes.
  • Numeric Values: to display a spreadsheet showing the values for the cursor position. Color images have three spread sheets, one for each of the red, green, and blue channels in the image.
  • Histograms: to quickly view digital number values, and to perform more in-depth analysis such as digital number mean, median and standard deviation values, the exact pixel count of a digital number value, and the range of digital number values in an image band.
  • Properties: to control the properties of the layer, such as Description and Opacity.


Vector Layer Options

Right-click a layer and click:

  • Remove: to remove the layer from the viewer.
  • Overview of Layer: to zoom to an overview of the entire layer.
  • Color: to change the color for all shapes in the selected layer.
  • Attribute Manager: to open the Attribute Manager, which displays existing attributes in the layer. For more information, see Working with Vector Attributes.
  • Properties: to control the properties of the layer, such as Description and Embedded Representation.


Change Vector Colors

To select a basic color value:
  1. Click the cell under the Color column that you want to change.
  2. In the Basic Color table, click a tile.
  3. Click OK.
To select colors within the Color Continuum:
  1. Click the color you want in the Color Continuum.
  2. Click OK.
To change the intensity of the color:
  1. Click the arrow by the Intensity bar.
  2. Move up or down until you are satisfied with the color.
  3. Click OK.
To change the color model:
  1. In the Model menu, click the model that you want to use.
  2. To use a grayscale model, click Gray.
  3. To use the red, green, and blue color model, click RGB.
  4. To use a cyan, magenta, yellow, and black color model, click CMYK.
  5. To use a hue, lightness, saturation color model, click the HLS/IHS command.
  6. Type the values that you want in the corresponding boxes.
  7. Click OK.


Selecting a Style

To select a style:
  1. In the Files list on the Style Selector dialog box, click to select the representation file or Browse to select a file.
  2. Click the tab containing the style type that you want. The Point, Line, Polygon, or Text tabs may be available.
  3. In the gallery, click the style that you want to use.
  4. If you want to modify the style and the editing features are not displayed, click More.
  5. To change only color and outline width of the style, see Changing Style Appearance.
  6. To edit the parts of the style, see Changing Style Parts.
  7. Click OK.


Changing Style Appearance

To change the style:
  1. Click Simple to switch to the simple editing panel.
  2. To change the color of the style, click the arrow under the Color column beside the part that you want to change. Click the color that you want or click More Colors to mix a new color.
  3. For points, in the Scale list type or select the factor that you want to use. Scale increases the proportion of the original symbol by the factor that you set in the Scale list.
  4. For lines, in Width type or select the thickness and select the unit of measure that you want.
  5. For polygons, in Outline Width type or select the thickness and select the unit of measure that you want.
  6. For text, in Size type or select the font size and select the unit of measure that you want.
  7. Click OK.


Changing Style Parts

To change the style:
  1. Click Advanced to switch to the advanced editing panel.
  2. In the Part list, select the part that you want to change or click the plus sign or minus sign to add or subtract a part.
  3. In the Priority list, type or select the number that determines the priority order of the part. The highest number appears in front.
  4. In the Primitive list, select the type that you want to use.
  5. Each Primitive contains a list of parameters. For each parameter, you can change its values under the Values column to achieve a different affect.
  6. Click OK when you are satisfied with the results.


Selecting a Symbol

To select a symbol:
  1. In the Files list on the Symbol Selector dialog box, click to select the symbol file or Browse to select a file.
  2. In the gallery, click the symbol that you want to use.
  3. If you want to preview the symbol and the preview window is not displayed, click More.
  4. Click OK.


Bitmap Layer Options

Right-click a layer and click:

  • Remove: to remove the layer from the viewer.
  • Overview of Layer: to zoom to an overview of the entire layer.
  • 1:1 Image Resolution: to zoom the selected layer in the viewer to a 1:1 resolution.
  • Color: to change the color for all shapes in the selected layer.
  • Properties: to control the properties of the layer, such as Description, Priority, and Opacity.


Setting up the Page

You may need to adjust the orientation and/or size of the page, if the defaults are not appropriate.

To adjust the Page Setup:
  1. Right-click Map.
  2. Click Properties.
  3. Select the Page Setup tab.
  4. Select Portrait or Landscape.
  5. In the Page Size list, select a format. To customize the page size, select Custom and type the size in the Width and Height boxes.
  6. Click OK.


Using Pseudo-color Tables (PCT)

A pseudo-color table (PCT) segment contains an array of 256 colors and assigns color values to 8-bit images. The PCT always contains exactly 256 entries. File formats such as TIFF, which may have color tables with less than 256 colors, assigns a value of zero to unused colors. There is no support for alpha channels in the table.

You can create and modify pseudo-color tables in FreeView with the PCT Editing dialog box. A pseudo-color layer appears in the Maps tree as an icon with vertical color bars followed by layer file information. A PCT is only generated for an image layer that is designated as a PCT layer.

To open the PCT Editing dialog box:
  • In the Maps tree, right-click a pseudo-color layer and in the shortcut menu, choose Edit PCT.


Using Predefined Color Tables

To adjust the pseudo-color for single values:
  • Click the Single Value tab.

The commands in the Predefined Pseudo-Color Tables area replace your existing PCT color values with the Smooth, Stepped, Random, and Gray Ramp predefined standard PCT color values.

To create a:
  • Smooth color ramp from dark blue to magenta, click the Smooth command.
  • Series of short color ramps, click the Stepped command.
  • Set of random colors, click the Random command.
  • Gray ramp with a black value of 0 and a white value of 255, click the Gray Ramp command.


Editing Breakpoints and Color Values in the Table

The Current Pseudo-Color Table shows color values for the current PCT. You can edit the breakpoint and RGB values in the table cells.

To edit the RGB color value used in the table:
  1. Double-click the cell you wish to change.
  2. Type a new value.

    3. The color field on the left shows the color for RGB values in the PCT. The top has an input value of zero. The bottom an input value of 255.

Color Selection: You can modify the output color of the current PCT using the controls in the Color Selection area.

To select a basic color value:
  1. In the Current Pseudo-Color Table, click the cell under the Color column that you want to change.
  2. In the Basic Color table, click a tile.
  3. Click Apply.
To select colors within the Color Continuum:
  1. Click the color you want in the Color Continuum.
  2. Click Apply.
To change the intensity of the color:
  1. Click the arrow by the Intensity bar.
  2. Move up or down until you are satisfied with the color.
  3. Click Apply.
To change the color model:
  1. In the Model menu, click the model that you want to use.
  2. To use a grayscale model, click Gray.
  3. To use the Red, green, and blue color model, click RGB.
  4. To use a cyan, magenta, yellow, and black color model, click CMYK.
  5. To use a hue, lightness, saturation color model, click the HLS/IHS command.
  6. Type the values that you want in the corresponding boxes.
  7. Click Apply.


Saving a PCT Layer

To save the new PCT layer:
  1. Click Save at the bottom of the dialog box.

    2. The Save PCT dialog box opens.

  2. Click to select Save to new PCT Layer.
  3. Enter a name for the PCT in the Name field.
  4. Enter a description for the PCT in the Description field.

    5. The path, folder, and file containing the original PCT are shown in the File text field.

  5. If you want to save the new PCT in the same file as the original PCT, click Add to existing file.
  6. If you want to save the new PCT in a different file for which you know the destination, click Add to new file. Click New File to determine the filename and path.
  7. Click OK.


Customizing Range-based Pseudo-color Tables

You can edit PCT channels for range-based pseudo-color.

To adjust pseudo-color for range-based tables:
  • In the PCT Editing dialog box, click the Range-based tab .

    • The PCT editing panel changes to show the range-based table editing controls. The illustration below shows the Edit PCT dialog box with the Range-based tab selected.

Color Selection: Standard and Custom color selection modes available under the Range-based tab. You can maintain your existing PCT colors, or replace them with predefined standard PCT color values using Standard mode.


Using Color Modes

To use standard mode:
  • Click Standard in the upper-left of the Color Selection area.
To keep the original color values:
  • Click the Use Original PCT command.
To select a basic color value:
  • Click a tile in the Basic Colors table or click the color you want in the color table.

    • The color range changes in the color selection control bar.

To select colors within the range:
  1. Click and hold the scroll bar.
  2. Move the scroll bar up or down, in the direction of the color you want.
  3. After you select the color, click OK.

    4. The dialog box closes, and the first color selected appears in the First Color box.

To define the last color in your image histogram:
  1. Click the Last Color box.

    2. The Select Last Color in Range dialog box appears.

  2. To set the last color for your histogram, repeat the procedure for selecting your first color.
  3. After selecting the color you want, click OK.

    4. The Select Last Color in Range dialog box closes. The new color appears in the Last Color box.

To set the range for the PCT:
  • Click the Interpolate command.

    • Your first and last colors define the limits of the PCT histogram. The colors can now be directly mapped, stretched, or compressed to fit within a specified range.


Working with the Files Tree

The second tree is the File tree. You can switch from the Maps tree to the Files tree by clicking the Files tab. This lists all of the files that are loaded into the current project. A file is automatically added to the project when it is loaded into the viewer.

To add a file to the project, without viewing the data, right-click in the Files tree and choose the Add option. This allows the user to look at the contents of a file without actually viewing the data. The file can then be exported to a new format or the data can be loaded into the viewer for further processing.

The Files tree shows all of the layers in the file, not just the layers being viewed.


Adding a File to the Project

To open a file:
  1. Right-click in the empty area of the Files tab.
  2. Click Add.
  3. Select a file.


Looking at Layer Types

As well as the layers displayed in the viewer, you see all of the other layers in the file including vector, bitmap, and signature segments and other layer types. The types of possible layers are listed below:

  • Image channels
  • Bitmap segments
  • Vector segments
  • LUT segments
  • PCT segments
  • GCP segments
  • Signature segments
  • Binary segments
  • Text segments
  • Array segments
  • Orbital segments

The primary use of the Files tree is to allow the user to view detailed information about their files. Editing of certain types of information is also permitted, depending on the FreeView file format and the read/write status of the file.


Viewing Files Tree Options

As with the Maps tree, the following is a list of some of the functionality of each type of layer.

Right-click a layer and click:

  • Remove: to delete the file from the project.
  • Attribute Manager: to open the Attribute Manager, which displays existing attributes in the layer. For more information, see Working with Vector Attributes.
  • View: to open the layer in the viewer and add it to the Maps tree. Click As Grayscale or As Pseudo-color to select the type displayed in the viewer. To add an RGB layer to the Maps tree, select three layers before you right-click.
  • Histogram Stats: to open the Histogram with Statistics dialog box. For more information, see Viewing the Histogram Statistics.
  • Properties: to open the Properties dialog box for the file so you can view the General, History, Metadata, and Projection information.


Selecting Files

To select a file from the tree, click on the file-type icon at the beginning of the file name or click once on the file name. The file is highlighted indicating you have selected it. To select more than one entry hold down the shift key or control key and click on the entries you wish to select.


File Properties

The Properties dialog box is read-only. You can view but not edit any of the information.


General Tab

The information reported under the General tab depends on the layer type, such as:
  • Description: A description of the file's contents, up to a maximum of 64 characters.
  • Name: The name of the layer.
  • Type: The type of the layer.
  • Size on disk: The disk size of the file containing the layer.
  • Creation date: The date that the file was created.
  • Last update: The date of the last modification.
  • Locking Status: The read/write permission of the layer.
  • Raster Size: The size of the raster in pixels and lines
  • Data Type: The type of data in the layer.
  • Shape Count: A total of vectors in the layer.
  • Overview: An indication whether Overviews are available in the layer.


Modify Units

To change the units:
  1. In the To box, select a type.
  2. Select a scale. If you select a custom scale, type the scale in the Scale 1 box.
  3. Click OK.


History Tab

The History tab contains the processing history in tabular form.


MetaData Tab

The MetaData tab contains the metadata associated with the layer.


Projection Tab

The Projection tab contains the georeferencing for the layer.


Viewer

The right side of the FreeView display is the view area. This area is where all of the data is viewed and where the results of actions are shown.

For example, when a file is opened, it is loaded into the view area. When an enhancement is applied to that data, the view area changes to reflect the new enhancement.

The status bar appears at the bottom of the interface. This area displays information about the current view including the cursor location, zoom level, and selected vector or raster data. The information in the status area changes to reflect the current needs of the user.


Selecting a View Mode

There are two viewing modes that can be controlled by using the VIEW pull-down menu or the Map View and Area View buttons on the toolbar.

The two modes are as follows:

  • Area mode: The extents of the view area are controlled by the data extents of the area being viewed. Full extents are same as data extents.
  • Map mode: The extents of the view area are based on the paper size being used for printing a map. The user controls the paper size by selecting the map layer in the tree and opens the properties panel from the right-click menu. The overview shows the full extents of the paper as well as where the data lies on that paper.


Using the Cursor

The cursor is a cross that appears in the graphical display on the right mouse button. It shows the working position in the view area. Unlike the pointer, the cursor does not move with the mouse, except when you click and drag it within the view area of the window.

You can also position the cursor with higher accuracy using geographical coordinates. This can be done by clicking the Cursor Control from the toolbar.

The cursor also controls what data is processed when functions are selected from the toolbars. For example, if a user has two images loaded in the view area, the enhancement and zoom icons in the Raster and Zoom toolbars affect only the image that is directly below the cursor.

The exact cursor coordinate location is displayed in the status bar at the bottom of the interface. By default, the coordinates appearing in the status bar are the Geocoded coordinates for whatever layer is currently highlighted in the tree.


Setting the Coordinates

To change the coordinate system:
  1. On the Status bar, click the arrow corresponding to the coordinate system list.
  2. Click the system that you want:
  3. Paper: The coordinates shown are based on the paper size being used for the map. The default paper size is 215.9 mm by 279.4 mm, which is standard US letter paper.
  4. Raster: The coordinates correspond to the pixel and line value for the file that is currently selected. The upper left corner is the origin and has coordinates of 0 P and 0 L.
  5. Geocoded: This is the default, which are the georeferenced coordinates for the selected file.
  6. Geographic: If the file is georeferenced and the projection can be converted to latitude and longitude values, they are shown when this option is selected.
  7. MGRS: If the projection can be converted, these coordinates are shown in the Military Grid Reference System.
  8. Screen: The coordinates are based on window location. The default window size is 480X480.


Showing Status Areas

Five options are available for defining the type of information that can be viewed in the status bar. These options can be accessed by selecting the down arrow at the far left of the status bar.

Clicking the arrow on the left side of the status bar displays a menu with the following choices:

  • Messages: Describes the current toolbar function as the cursor moves over the corresponding icon.
  • Progress: Displays a progress monitor.
  • Zoom Scale: Displays the approximate scale for the data being viewed. The Zoom Scale window is located to the right of Messages when both are in view.
  • Zoom Image Pixel: Depicts the zoom level based upon the image data that is currently displayed. It is located between Messages and Cursor Position.
  • Cursor Position: Displays a menu with six options for setting the coordinate system to be used for the cursor position.
  • Selection Value: Displays the current selection value for whatever layer is currently highlighted in the tree. This status window appears on the far right when active.